If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent browser_ext_windows_events.js | Test timed out - | no tasks awaiting on messages - Got 1, expected 0 | and more

RESOLVED FIXED in Firefox 51

Status

()

Toolkit
WebExtensions: Frontend
P2
normal
RESOLVED FIXED
a year ago
10 months ago

People

(Reporter: aryx, Assigned: kmag)

Tracking

({intermittent-failure})

Trunk
mozilla53
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox50 wontfix, firefox51 fixed, firefox52 fixed, firefox53 fixed)

Details

(Whiteboard: triaged)

https://treeherder.mozilla.org/logviewer.html#?job_id=8862502&repo=fx-team

02:16:52     INFO -  222 INFO TEST-START | browser/components/extensions/test/browser/browser_ext_windows_events.js
02:16:53     INFO -  JavaScript error: , line 0: Error: Message manager disconnected
02:16:53     INFO -  JavaScript error: , line 0: Error: Message manager disconnected
02:17:37     INFO -  TEST-INFO | started process screenshot
02:17:37     INFO -  TEST-INFO | screenshot: exit 0
02:17:37     INFO -  223 INFO checking window state
02:17:37     INFO -  224 INFO Console message: Warning: NetUtil.asyncFetch() requires the channel to have one of the security flags set in the loadinfo (see nsILoadInfo). Please create channel using NetUtil.newChannel()
02:17:37     INFO -  225 INFO Console message: Warning: NetUtil.asyncFetch() requires the channel to have one of the security flags set in the loadinfo (see nsILoadInfo). Please create channel using NetUtil.newChannel()
02:17:37     INFO -  226 INFO Entering test bound testWindowsEvents
02:17:37     INFO -  227 INFO Extension loaded
02:17:37     INFO -  228 INFO Console message: Warning: attempting to write 9034 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file.
02:17:37     INFO -  229 INFO TEST-PASS | browser/components/extensions/test/browser/browser_ext_windows_events.js | Window object's id is an integer -
02:17:37     INFO -  230 INFO TEST-PASS | browser/components/extensions/test/browser/browser_ext_windows_events.js | Window object returned with the correct type - Expected: normal, Actual: normal -
02:17:37     INFO -  231 INFO Console message: Warning: NetUtil.asyncFetch() requires the channel to have one of the security flags set in the loadinfo (see nsILoadInfo). Please create channel using NetUtil.newChannel()
02:17:37     INFO -  232 INFO Console message: [JavaScript Error: "Error: Message manager disconnected"]
02:17:37     INFO -  233 INFO Console message: [JavaScript Error: "Error: Message manager disconnected"]
02:17:37     INFO -  234 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_windows_events.js | Test timed out -
02:17:37     INFO -  Not taking screenshot here: see the one that was previously logged
02:17:37     INFO -  235 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_windows_events.js | no tasks awaiting on messages - Got 1, expected 0
02:17:37     INFO -  Stack trace:
02:17:37     INFO -      chrome://mochikit/content/browser-test.js:test_is:967
02:17:37     INFO -      chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:27
02:17:37     INFO -      chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:466
02:17:37     INFO -      timeoutFn@chrome://mochikit/content/browser-test.js:873:9
02:17:37     INFO -      setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:835:9
02:17:37     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:711:7
02:17:37     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:741:59
02:17:37     INFO -  Not taking screenshot here: see the one that was previously logged
02:17:37     INFO -  236 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_windows_events.js | Extension left running at test shutdown -
02:17:37     INFO -  Stack trace:
02:17:37     INFO -      chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:88
02:17:37     INFO -      chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:466
02:17:37     INFO -      timeoutFn@chrome://mochikit/content/browser-test.js:873:9
02:17:37     INFO -      setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:835:9
02:17:37     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:711:7
02:17:37     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:741:59
02:17:37     INFO -  MEMORY STAT | vsize 1161MB | vsizeMaxContiguous 4224082MB | residentFast 361MB | heapAllocated 101MB

Comment 1

a year ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* windows8-64: 4
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1266510&startday=2016-04-18&endday=2016-04-24&tree=all

Updated

a year ago
Assignee: nobody → bob.silverberg
Priority: -- → P2
Whiteboard: triaged
Unassigning myself as this seems to have gone away.
Assignee: bob.silverberg → nobody
Duplicate of this bug: 1270717
Keywords: leave-open
https://hg.mozilla.org/integration/fx-team/rev/f76a0fdadbf053c3373961f9afbc966c011a50fe
Bug 1266510: Add better logging to browser_ext_windows_events test. r=me

Comment 5

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/f76a0fdadbf0

Comment 6

a year ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* autoland: 5
* fx-team: 4
* mozilla-central: 1

Platform breakdown:
* windows8-64: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1266510&startday=2016-09-14&endday=2016-09-14&tree=all
It looks like this may be an actual bug in the actual ext-windows code rather than in the test.
Assignee: nobody → kmaglione+bmo

Comment 8

a year ago
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* autoland: 6
* fx-team: 4
* mozilla-central: 1

Platform breakdown:
* windows8-64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1266510&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 9

a year ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* autoland: 2
* fx-team: 1

Platform breakdown:
* windows8-64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1266510&startday=2016-10-03&endday=2016-10-09&tree=all

Updated

a year ago
Component: WebExtensions: Untriaged → WebExtensions: Frontend
https://hg.mozilla.org/integration/mozilla-inbound/rev/a4b855274882da6fb53e9ba618b403d6cfa11264
Bug 1266510: Try explicitly focusing new browser window before waiting for focus change event. r=me

Comment 11

11 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/a4b855274882
Keywords: leave-open
https://hg.mozilla.org/integration/mozilla-inbound/rev/ea7b33f78d5e353c8e4e8c4bfa05d47c19b130d8
Bug 1266510: Also explicitly focus the second browser window after creation. r=me

Comment 13

10 months ago
16 failures in 715 pushes (0.022 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 8
* mozilla-inbound: 6
* mozilla-central: 2

Platform breakdown:
* windows8-64: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1266510&startday=2016-11-14&endday=2016-11-20&tree=all

Comment 14

10 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/ea7b33f78d5e
Status: NEW → RESOLVED
Last Resolved: 10 months ago
status-firefox53: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla53
Duplicate of this bug: 1319135
Please request Aurora approval on this when you get a chance (and Beta if you think it's worth it).
status-firefox48: affected → ---
status-firefox50: --- → wontfix
status-firefox51: --- → affected
status-firefox52: --- → affected
Flags: needinfo?(kmaglione+bmo)
Both changesets are test-only
Flags: needinfo?(kmaglione+bmo)
https://hg.mozilla.org/releases/mozilla-aurora/rev/c684ebca8623
status-firefox52: affected → fixed

Comment 19

10 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/a45e5c8c9544
status-firefox51: affected → fixed
Flags: in-testsuite+
You need to log in before you can comment on or make changes to this bug.